# 2024-10-25 组会汇报

## 一、科研项目
- 无新进展
## 二、工程项目
### 2.1 梳理行人重识别服务流程
![alt text](image/person_reid_service.png)
检测到行人之后
- 首先在数据库里检索是否有相似度比较高的人
  - 这一步需要用向量数据库来做，若出现，则给出对应的id，否则id为无效值
- 之后给系统后端发送一个http消息，http消息的json格式如下：
  ```json
  {
    "PersonId": 1 // 行人id
    "Picture": "xxx"// base64编码后的行人原图数据
    "CameraIP": "192.169.0.0" //摄像头IP地址
    "TimeStamp": "xxx"//时间戳
  }
  ```
- 判定这段视频里后面几秒内是否重复出现该行人，注意以下事项：
  - 视频可见范围内，只发一次http消息
  - 相似度高的人不管在摄像头中消失多少次，都是一个相同的ID
### 2.2 熟悉faiss等第三方库的使用
- Dockerfile配置：源码编译安装faiss、leveldb、libhv等第三方依赖库，解决依赖库之间的版本兼容问题（Cuda，CMake，Docker镜像相关）
- Demo示例学习：查阅官方说明文档，学习faiss和leveldb的插入和检索操作，学习如何使用libhv实现一个简单的http客户端发送http消息
### 2.3 待办事项
- 按照前文的流程图，代码实现行人重识别服务

[项目链接](https://github.com/dancing-ui/uestc_vhm)